> For the complete documentation index, see [llms.txt](https://docs.pixel-dev.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pixel-dev.net/infinite-economies/configuration.md).

# Configuration

```yaml
# ==================================================
# Plugin: InfiniteEconomies
# Author: ShaneTheDev
# Version: 1.0.0
# Support Discord: https://discord.gg/EVSpujnuwC
# ==================================================
debug: false

#Economy name MUST be lowercase.
#To create a new economy, turn the server off, add it below, start the server.
economies:
  money:
    starting_balance: 100.0
    color: "&a"
    icon: "💰"
  tokens:
    starting_balance: 50.0
    color: "&6"
    icon: "⛁"
  gems:
    starting_balance: 50.0
    color: "&d"
    icon: "✧"


#############################
##########LANGUAGE###########
#############################
#/money | /tokens | /<economy>
EconomyCommandMessage:
  - "&7-------&e&l[InfiniteEconomies]&7-------"
  - " "
  - "&e&lPLAYER:"
  - "%color%/%economy% &7balance <user>"
  - "%color%/%economy% &7pay <player> <amount>"
  - "%color%/%economy% &7top"
  - " "
  - "&e&lADMIN:"
  - "%color%/%economy% &7set <user> <amount>"
  - "%color%/%economy% &7add <user> <amount>"
  - "%color%/%economy% &7take <user> <amount>"
  - " "
  - "&7-----------------------------------------"

PlayerEconomyCommandMessage:
  - "&7-------&e&l[InfiniteEconomies]&7-------"
  - " "
  - "%color%/%economy% &7balance <player>"
  - "%color%/%economy% &7pay <player> <amount>"
  - "%color%/%economy% &7top"
  - " "
  - "&7-----------------------------------------"

BalanceCommandMessage:
  - "&7-------&e&l[InfiniteEconomies]&7-------"
  - "&7Money Balance: &a%money%"
  - "&7Tokens Balance: &6%tokens%"
  - "&7Gems Balance: &5%gems%"
  - "&7--------------------------------------"


#Messages for setting,adding,taking, and resetting balances.
#The following placeholders can be used in all of the below messages.
#Placeholders:
# %player% - Target player.
# %color% - The economies color specified above.
# %icon% - The economies icon specified above.
# %economy% - The economy being used.
# %Economy% - The economy being used but capitalized.
# %balance% - The players balance in that economy.
# %amount% - The amount being added/taken/set.
GetBalanceSelf: "&7[&eIE&7] &7You currently have &e%balance%&7 %color%%icon%%Economy%&7."
GetBalanceOther: "&7[&eIE&7] &c%player% &7currently has &e%balance%&7 %color%%icon%%Economy%&7."
SetBalance: "&7[&eIE&7] &7You have set &c%player%'s&7 %color%%icon%%Economy%&7 balance to &e%balance%."
AddBalance: "&7[&eIE&7] &7You have added &e%amount%&7 to &c%player%'s %color%%icon%%Economy%&7 balance."
TakeBalance: "&7[&eIE&7] &7You have removed &e%amount%&7 from &c%player%'s %color%%icon%%Economy%&7 balance."
PaymentSent: "&7[&eIE&7] &7You have sent &e%amount% %color%%icon%%Economy%&7 to &c%player%&7."
PaymentReceived: "&7[&eIE&7] &7You have received &e%amount% %color%%icon%%Economy%&7 from &c%player%&7."

#Other messages
InvalidPlayer: "&7[&eIE&7] &cPlayer not found."
InvalidAmount: "&7[&eIE&7] &cInvalid amount. Please enter a valid number."
InvalidBalance: "&7[&eIE&7] &cYou do not have enough %color%%icon%%Economy%&c."
PayToggleON: "&7[&eIE&7] &7You have toggled payments &a&nON&r&7!"
PayToggleOFF: "&7[&eIE&7] &7You have toggled payments &c&nOFF&r&7!"
PlayerPaymentToggled: "&7[&eIE&7] &7That player has toggled payments &c&nOFF&r&7!"
NoPermission: "&cInvalid Permissions."
TopBalancesHeader: "&7-------&e&l[Top Balances in %color%%Economy%&e&l]&7-------"
TopBalancesEntry: "%rank%. %color%%player%: %balance%"
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pixel-dev.net/infinite-economies/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
